from django.urls import path
from . import views

urlpatterns = [
    path('', views.home, name='Home'),
    path('<str:system>/feature/new', views.feature_new, name="feature_new"),
    path('<str:system>/feature/<uuid:feature_uuid>', views.feature_detail, name='feature_detail'),
    path('<str:system>/features/', views.features_list, name="features_list"),
    path('<str:system>/package/new', views.package_new, name="package_new"),
    path('<str:system>/package/<uuid:package_uuid>', views.package_detail, name='package_detail'),
    path('<str:system>/packages/', views.packages_list, name="packages_list"),
    path('features/search/', views.feature_select_search, name="feature_select_search"),
    path('traits/search/', views.trait_search, name="trait_search"),
    path('map', views.map_page, name="Map"),
    path('api/pins/', views.pin_list, name='pin_list'),
]